Tryton - Issues

 

Issue5191

Title depends method across on_change and on_change_with
Priority feature Status resolved
Superseder Nosy List ced, pokoli, reviewbot, roundup-bot
Type feature request Components trytond
Assigned To ced Keywords review
Reviews 50381002, 48341002, 47431002, 45481002, 50371003, 46441002, 45491002, 38251002, 45131002, 49341002,45631002
View: 50381002, 48341002, 47431002, 45481002, 50371003, 46441002, 45491002, 38251002, 45131002, 49341002, 45631002

Created on 2015-12-18.15:10:33 by ced, last changed by roundup-bot.

Messages
New changeset f9a705ab59c6 by Sergi Almacellas Abellana in branch 'default':
Update depends method name
https://hg.tryton.org/modules/purchase_shipment_cost/rev/f9a705ab59c6
review45631002 updated at https://codereview.tryton.org/45631002/#ps1
msg41159 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-06-01.11:36:18
I reopen it because the purchase_shimpent_cost missed the update and now it's not possible to use the module. 

Here is review45631002 that fixes it.
New changeset 40a6f36ae450 by Cédric Krier in branch 'default':
Use depends on methods
https://hg.tryton.org/modules/sale_subscription/rev/40a6f36ae450
New changeset 5c785e5fef9b by Cédric Krier in branch 'default':
Update depends methods name
https://hg.tryton.org/modules/sale_shipment_cost/rev/5c785e5fef9b
New changeset 56772110bbed by Cédric Krier in branch 'default':
Use depends on methods
https://hg.tryton.org/modules/sale_price_list/rev/56772110bbed
New changeset eea82a214d89 by Cédric Krier in branch 'default':
Use depends on methods
https://hg.tryton.org/modules/sale/rev/eea82a214d89
New changeset 4e5e9f6bda17 by Cédric Krier in branch 'default':
Use depends on methods
https://hg.tryton.org/modules/purchase/rev/4e5e9f6bda17
New changeset 1813fcdad4d6 by Cédric Krier in branch 'default':
Use depends on methods
https://hg.tryton.org/modules/product_price_list_dates/rev/1813fcdad4d6
New changeset 609383a19b6f by Cédric Krier in branch 'default':
Use depends on methods
https://hg.tryton.org/modules/account_tax_rule_country/rev/609383a19b6f
New changeset e46318ed5227 by Cédric Krier in branch 'default':
Update depends methods name
https://hg.tryton.org/modules/account_statement/rev/e46318ed5227
New changeset 600813fbbdf4 by Cédric Krier in branch 'default':
Use depends on methods
https://hg.tryton.org/modules/account_invoice/rev/600813fbbdf4
New changeset a57cd35eec06 by Cédric Krier in branch 'default':
Make depends on methods generic to any method
https://hg.tryton.org/trytond/rev/a57cd35eec06
review45131002 updated at https://codereview.tryton.org/45131002/#ps20001
New review49341002 at https://codereview.tryton.org/49341002/#ps1
New review45131002 at https://codereview.tryton.org/45131002/#ps1
New review38251002 at https://codereview.tryton.org/38251002/#ps1
New review45491002 at https://codereview.tryton.org/45491002/#ps1
New review46441002 at https://codereview.tryton.org/46441002/#ps1
New review50371003 at https://codereview.tryton.org/50371003/#ps1
New review45481002 at https://codereview.tryton.org/45481002/#ps1
New review47431002 at https://codereview.tryton.org/47431002/#ps1
New review48341002 at https://codereview.tryton.org/48341002/#ps1
New review50381002 at https://codereview.tryton.org/50381002/#ps1
msg40594 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-05-09.10:42:27
Indeed it will be even better to be able to use the depends of any function instead of limiting to on_change's.
msg23395 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2015-12-18.15:10:32
For now, the depends methods can only work with the same kind of method so if inside an on_change we want to call an on_change_with, it doesn't work.
It is OK for most of the kind of depending function, except for on_change and on_change_with because indeed they are from the same family.
I think the ModelView.__setup__ should takes the depends of both kinds.
History
Date User Action Args
2018-06-04 09:56:43roundup-botsetstatus: in-progress -> resolved
messages: + msg41192
2018-06-01 11:48:31reviewbotsetmessages: + msg41164
2018-06-01 11:36:18pokolisetstatus: resolved -> in-progress
reviews: 50381002, 48341002, 47431002, 45481002, 50371003, 46441002, 45491002, 38251002, 45131002, 49341002 -> 50381002, 48341002, 47431002, 45481002, 50371003, 46441002, 45491002, 38251002, 45131002, 49341002,45631002
messages: + msg41159
2018-05-31 13:28:05roundup-botsetmessages: + msg41149
2018-05-31 13:27:36roundup-botsetmessages: + msg41148
2018-05-31 13:27:08roundup-botsetmessages: + msg41147
2018-05-31 13:26:43roundup-botsetmessages: + msg41146
2018-05-31 13:26:21roundup-botsetmessages: + msg41145
2018-05-31 13:25:58roundup-botsetmessages: + msg41144
2018-05-31 13:25:33roundup-botsetmessages: + msg41143

Showing 10 items. Show all history (warning: this could be VERY long)